searchNodes=[{"doc":"Bi-directional map implementation backed by two maps. In computer science, a bidirectional map, or hash bag, is an associative data structure in which the (key, value) pairs form a one-to-one correspondence. Thus the binary relation is functional in each direction: value can also act as a key to key. A pair (a, b) thus provides a unique coupling between a a and b so that b can be found when a is used as a key and a can be found when b is used as a key. ~Wikipedia Entries in bimap do not follow any order. BiMaps do not impose any restriction on the key and value type: anything can be a key in a bimap, and also anything can be a value. As a bidirectional key-value structure, bimaps do not allow duplicated keys and values. This means it is not possible to store [(A, B), (A, C)] or [(X, Z), (Y, Z)] in the bimap. If you need to lift this restriction to only not allowing duplicated key-value pairs, check out BiMultiMap. Keys and values are compared using the exact-equality operator (===). Protocols BiMap implements Enumerable, Collectable and Inspect protocols.","ref":"BiMap.html","title":"BiMap","type":"module"},{"doc":"Convenience shortcut for delete/3.","ref":"BiMap.html#delete/2","title":"BiMap.delete/2","type":"function"},{"doc":"Deletes {key, value} pair from bimap. If the key does not exist, or value does not match, returns bimap unchanged. Examples iex&gt; bimap = BiMap.new([a: 1, b: 2]) iex&gt; BiMap.delete(bimap, :b, 2) #BiMap&lt;[a: 1]&gt; iex&gt; BiMap.delete(bimap, :c, 3) #BiMap&lt;[a: 1, b: 2]&gt; iex&gt; BiMap.delete(bimap, :b, 3) #BiMap&lt;[a: 1, b: 2]&gt;","ref":"BiMap.html#delete/3","title":"BiMap.delete/3","type":"function"},{"doc":"Deletes {key, _} pair from bimap. If the key does not exist, returns bimap unchanged. Examples iex&gt; bimap = BiMap.new([a: 1, b: 2]) iex&gt; BiMap.delete_key(bimap, :b) #BiMap&lt;[a: 1]&gt; iex&gt; BiMap.delete_key(bimap, :c) #BiMap&lt;[a: 1, b: 2]&gt;","ref":"BiMap.html#delete_key/2","title":"BiMap.delete_key/2","type":"function"},{"doc":"Deletes {_, value} pair from bimap. If the value does not exist, returns bimap unchanged. Examples iex&gt; bimap = BiMap.new([a: 1, b: 2]) iex&gt; BiMap.delete_value(bimap, 2) #BiMap&lt;[a: 1]&gt; iex&gt; BiMap.delete_value(bimap, 3) #BiMap&lt;[a: 1, b: 2]&gt;","ref":"BiMap.html#delete_value/2","title":"BiMap.delete_value/2","type":"function"},{"doc":"Checks if two bimaps are equal. Two bimaps are considered to be equal if they contain the same keys and those keys contain the same values. Examples iex&gt; Map.equal?(BiMap.new([a: 1, b: 2]), BiMap.new([b: 2, a: 1])) true iex&gt; Map.equal?(BiMap.new([a: 1, b: 2]), BiMap.new([b: 1, a: 2])) false","ref":"BiMap.html#equal?/2","title":"BiMap.equal?/2","type":"function"},{"doc":"Fetches the value for specific key in bimap If key is present in bimap with value value, then {:ok, value} is returned. Otherwise, :error is returned. Examples iex&gt; BiMap.fetch(BiMap.new(), :a) :error iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.fetch(bimap, :a) {:ok, 1} iex&gt; BiMap.fetch(bimap, :b) :error","ref":"BiMap.html#fetch/2","title":"BiMap.fetch/2","type":"function"},{"doc":"Fetches the value for specific key in bimap. Raises ArgumentError if the key is absent. Examples iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.fetch!(bimap, :a) 1","ref":"BiMap.html#fetch!/2","title":"BiMap.fetch!/2","type":"function"},{"doc":"Fetches the key for specific value in bimap This function is exact mirror of fetch/2. Examples iex&gt; BiMap.fetch_key(BiMap.new, 1) :error iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.fetch_key(bimap, 1) {:ok, :a} iex&gt; BiMap.fetch_key(bimap, 2) :error","ref":"BiMap.html#fetch_key/2","title":"BiMap.fetch_key/2","type":"function"},{"doc":"Fetches the key for specific value in bimap. Raises ArgumentError if the value is absent. This function is exact mirror of fetch!/2. Examples iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.fetch_key!(bimap, 1) :a","ref":"BiMap.html#fetch_key!/2","title":"BiMap.fetch_key!/2","type":"function"},{"doc":"Gets the value for specific key in bimap If key is present in bimap with value value, then value is returned. Otherwise, default is returned (which is nil unless specified otherwise). Examples iex&gt; BiMap.get(BiMap.new(), :a) nil iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.get(bimap, :a) 1 iex&gt; BiMap.get(bimap, :b) nil iex&gt; BiMap.get(bimap, :b, 3) 3","ref":"BiMap.html#get/3","title":"BiMap.get/3","type":"function"},{"doc":"Gets the key for specific value in bimap This function is exact mirror of get/3. Examples iex&gt; BiMap.get_key(BiMap.new, 1) nil iex&gt; bimap = BiMap.new([a: 1]) iex&gt; BiMap.get_key(bimap, 1) :a iex&gt; BiMap.get_key(bimap, 2) nil iex&gt; BiMap.get_key(bimap, 2, :b) :b","ref":"BiMap.html#get_key/3","title":"BiMap.get_key/3","type":"function"},{"doc":"Checks if bimap contains key. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.has_key?(bimap, :a) true iex&gt; BiMap.has_key?(bimap, :x) false","ref":"BiMap.html#has_key?/2","title":"BiMap.has_key?/2","type":"function"},{"doc":"Checks if bimap contains value. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.has_value?(bimap, &quot;foo&quot;) true iex&gt; BiMap.has_value?(bimap, &quot;moo&quot;) false","ref":"BiMap.html#has_value?/2","title":"BiMap.has_value?/2","type":"function"},{"doc":"Returns all keys from bimap. Examples iex&gt; bimap = BiMap.new([a: 1, b: 2]) iex&gt; BiMap.keys(bimap) [:a, :b]","ref":"BiMap.html#keys/1","title":"BiMap.keys/1","type":"function"},{"doc":"Returns key ➜ value mapping of bimap. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.left(bimap) %{a: &quot;foo&quot;, b: &quot;bar&quot;}","ref":"BiMap.html#left/1","title":"BiMap.left/1","type":"function"},{"doc":"Convenience shortcut for member?/3.","ref":"BiMap.html#member?/2","title":"BiMap.member?/2","type":"function"},{"doc":"Checks if bimap contains {key, value} pair. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.member?(bimap, :a, &quot;foo&quot;) true iex&gt; BiMap.member?(bimap, :a, &quot;bar&quot;) false","ref":"BiMap.html#member?/3","title":"BiMap.member?/3","type":"function"},{"doc":"Creates a new bimap. Examples iex&gt; BiMap.new #BiMap&lt;[]&gt;","ref":"BiMap.html#new/0","title":"BiMap.new/0","type":"function"},{"doc":"Creates a bimap from enumerable of key-value pairs. Duplicated pairs are removed; the latest one prevails. Examples iex&gt; BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) #BiMap&lt;[a: &quot;foo&quot;, b: &quot;bar&quot;]&gt;","ref":"BiMap.html#new/1","title":"BiMap.new/1","type":"function"},{"doc":"Creates a bimap from enumerable via transform function returning key-value pairs. Examples iex&gt; BiMap.new([1, 2, 1], fn x -&gt; {x, x * 2} end) #BiMap&lt;[{1, 2}, {2, 4}]&gt;","ref":"BiMap.html#new/2","title":"BiMap.new/2","type":"function"},{"doc":"Convenience shortcut for put/3","ref":"BiMap.html#put/2","title":"BiMap.put/2","type":"function"},{"doc":"Inserts {key, value} pair into bimap. If either key or value is already in bimap, any overlapping bindings are deleted. Examples iex&gt; bimap = BiMap.new #BiMap&lt;[]&gt; iex&gt; bimap = BiMap.put(bimap, :a, 0) #BiMap&lt;[a: 0]&gt; iex&gt; bimap = BiMap.put(bimap, :a, 1) #BiMap&lt;[a: 1]&gt; iex&gt; BiMap.put(bimap, :b, 1) #BiMap&lt;[b: 1]&gt;","ref":"BiMap.html#put/3","title":"BiMap.put/3","type":"function"},{"doc":"Returns value ➜ key mapping of bimap. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.right(bimap) %{&quot;foo&quot; =&gt; :a, &quot;bar&quot; =&gt; :b}","ref":"BiMap.html#right/1","title":"BiMap.right/1","type":"function"},{"doc":"Returns the number of elements in bimap. The size of a bimap is the number of key-value pairs that the map contains. Examples iex&gt; BiMap.size(BiMap.new) 0 iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.size(bimap) 2","ref":"BiMap.html#size/1","title":"BiMap.size/1","type":"function"},{"doc":"Returns list of unique key-value pairs in bimap. Examples iex&gt; bimap = BiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMap.to_list(bimap) [a: &quot;foo&quot;, b: &quot;bar&quot;]","ref":"BiMap.html#to_list/1","title":"BiMap.to_list/1","type":"function"},{"doc":"Returns all values from bimap. Examples iex&gt; bimap = BiMap.new([a: 1, b: 2]) iex&gt; BiMap.values(bimap) [1, 2]","ref":"BiMap.html#values/1","title":"BiMap.values/1","type":"function"},{"doc":"Key type","ref":"BiMap.html#t:k/0","title":"BiMap.k/0","type":"type"},{"doc":"","ref":"BiMap.html#t:t/0","title":"BiMap.t/0","type":"type"},{"doc":"","ref":"BiMap.html#t:t/2","title":"BiMap.t/2","type":"opaque"},{"doc":"Value type","ref":"BiMap.html#t:v/0","title":"BiMap.v/0","type":"type"},{"doc":"Bi-directional multimap implementation backed by two multimaps. Entries in bimap do not follow any order. BiMultiMaps do not impose any restriction on the key and value type: anything can be a key in a bimap, and also anything can be a value. BiMultiMaps differ from BiMaps by disallowing duplicates only among key-value pairs, not among keys and values separately. This means it is possible to store [(A, B), (A, C)] or [(X, Z), (Y, Z)] in BiMultiMap. Keys and values are compared using the exact-equality operator (===). Protocols BiMultiMap implements Enumerable, Collectable and Inspect protocols.","ref":"BiMultiMap.html","title":"BiMultiMap","type":"module"},{"doc":"Convenience shortcut for delete/3.","ref":"BiMultiMap.html#delete/2","title":"BiMultiMap.delete/2","type":"function"},{"doc":"Deletes {key, value} pair from bimultimap. If the key does not exist, or value does not match, returns bimultimap unchanged. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, b: 2, c: 2]) iex&gt; BiMultiMap.delete(bimultimap, :b, 2) #BiMultiMap&lt;[a: 1, c: 2]&gt; iex&gt; BiMultiMap.delete(bimultimap, :c, 3) #BiMultiMap&lt;[a: 1, b: 2, c: 2]&gt;","ref":"BiMultiMap.html#delete/3","title":"BiMultiMap.delete/3","type":"function"},{"doc":"Deletes {key, _} pair from bimultimap. If the key does not exist, returns bimultimap unchanged. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, b: 2, b: 3]) iex&gt; BiMultiMap.delete_key(bimultimap, :b) #BiMultiMap&lt;[a: 1]&gt; iex&gt; BiMultiMap.delete_key(bimultimap, :c) #BiMultiMap&lt;[a: 1, b: 2, b: 3]&gt;","ref":"BiMultiMap.html#delete_key/2","title":"BiMultiMap.delete_key/2","type":"function"},{"doc":"Deletes {_, value} pair from bimultimap. If the value does not exist, returns bimultimap unchanged. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, b: 2, c: 1]) iex&gt; BiMultiMap.delete_value(bimultimap, 1) #BiMultiMap&lt;[b: 2]&gt; iex&gt; BiMultiMap.delete_value(bimultimap, 3) #BiMultiMap&lt;[a: 1, b: 2, c: 1]&gt;","ref":"BiMultiMap.html#delete_value/2","title":"BiMultiMap.delete_value/2","type":"function"},{"doc":"Checks if two bimultimaps are equal. Two bimultimaps are considered to be equal if they contain the same keys and those keys are bound with the same values. Examples iex&gt; Map.equal?(BiMultiMap.new([a: 1, b: 2, b: 3]), BiMultiMap.new([b: 2, b: 3, a: 1])) true iex&gt; Map.equal?(BiMultiMap.new([a: 1, b: 2, b: 3]), BiMultiMap.new([b: 1, b: 3, a: 2])) false","ref":"BiMultiMap.html#equal?/2","title":"BiMultiMap.equal?/2","type":"function"},{"doc":"Fetches all values for specific key in bimultimap If key is present in bimultimap with values values, then {:ok, values} is returned. Otherwise, :error is returned. Examples iex&gt; BiMultiMap.fetch(BiMultiMap.new(), :a) :error iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 1, c: 2]) iex&gt; BiMultiMap.fetch(bimultimap, :a) {:ok, [1]} iex&gt; BiMultiMap.fetch(bimultimap, :b) :error iex&gt; BiMultiMap.fetch(bimultimap, :c) {:ok, [1, 2]}","ref":"BiMultiMap.html#fetch/2","title":"BiMultiMap.fetch/2","type":"function"},{"doc":"Fetches all values for specific key in bimultimap Raises ArgumentError if the key is absent. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 1, c: 2]) iex&gt; BiMultiMap.fetch!(bimultimap, :a) [1] iex&gt; BiMultiMap.fetch!(bimultimap, :c) [1, 2]","ref":"BiMultiMap.html#fetch!/2","title":"BiMultiMap.fetch!/2","type":"function"},{"doc":"Fetches all keys for specific value in bimultimap This function is exact mirror of fetch/2. Examples iex&gt; BiMultiMap.fetch_keys(BiMultiMap.new, 1) :error iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 3, d: 3]) iex&gt; BiMultiMap.fetch_keys(bimultimap, 1) {:ok, [:a]} iex&gt; BiMultiMap.fetch_keys(bimultimap, 2) :error iex&gt; BiMultiMap.fetch_keys(bimultimap, 3) {:ok, [:c, :d]}","ref":"BiMultiMap.html#fetch_keys/2","title":"BiMultiMap.fetch_keys/2","type":"function"},{"doc":"Fetches all keys for specific value in bimultimap Raises ArgumentError if the key is absent. This function is exact mirror of fetch!/2. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 3, d: 3]) iex&gt; BiMultiMap.fetch_keys!(bimultimap, 1) [:a] iex&gt; BiMultiMap.fetch_keys!(bimultimap, 3) [:c, :d]","ref":"BiMultiMap.html#fetch_keys!/2","title":"BiMultiMap.fetch_keys!/2","type":"function"},{"doc":"Gets all values for specific key in bimultimap If key is present in bimultimap with values values, then values are returned. Otherwise, default is returned (which is [] unless specified otherwise). Examples iex&gt; BiMultiMap.get(BiMultiMap.new(), :a) [] iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 1, c: 2]) iex&gt; BiMultiMap.get(bimultimap, :a) [1] iex&gt; BiMultiMap.get(bimultimap, :b) [] iex&gt; BiMultiMap.get(bimultimap, :b, 3) 3 iex&gt; BiMultiMap.get(bimultimap, :c) [1, 2]","ref":"BiMultiMap.html#get/3","title":"BiMultiMap.get/3","type":"function"},{"doc":"Gets all keys for specific value in bimultimap This function is exact mirror of get/3. Examples iex&gt; BiMultiMap.get_keys(BiMultiMap.new, 1) [] iex&gt; bimultimap = BiMultiMap.new([a: 1, c: 3, d: 3]) iex&gt; BiMultiMap.get_keys(bimultimap, 1) [:a] iex&gt; BiMultiMap.get_keys(bimultimap, 2) [] iex&gt; BiMultiMap.get_keys(bimultimap, 2, :b) :b iex&gt; BiMultiMap.get_keys(bimultimap, 3) [:c, :d]","ref":"BiMultiMap.html#get_keys/3","title":"BiMultiMap.get_keys/3","type":"function"},{"doc":"Checks if bimultimap contains key. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMultiMap.has_key?(bimultimap, :a) true iex&gt; BiMultiMap.has_key?(bimultimap, :x) false","ref":"BiMultiMap.html#has_key?/2","title":"BiMultiMap.has_key?/2","type":"function"},{"doc":"Checks if bimultimap contains value. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMultiMap.has_value?(bimultimap, &quot;foo&quot;) true iex&gt; BiMultiMap.has_value?(bimultimap, &quot;moo&quot;) false","ref":"BiMultiMap.html#has_value?/2","title":"BiMultiMap.has_value?/2","type":"function"},{"doc":"Returns all unique keys from bimultimap. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, b: 2, b: 3]) iex&gt; BiMultiMap.keys(bimultimap) [:a, :b]","ref":"BiMultiMap.html#keys/1","title":"BiMultiMap.keys/1","type":"function"},{"doc":"Returns key ➜ [value] mapping of bimultimap. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;, b: &quot;moo&quot;]) iex&gt; BiMultiMap.left(bimultimap) %{a: [&quot;foo&quot;], b: [&quot;bar&quot;, &quot;moo&quot;]}","ref":"BiMultiMap.html#left/1","title":"BiMultiMap.left/1","type":"function"},{"doc":"Convenience shortcut for member?/3.","ref":"BiMultiMap.html#member?/2","title":"BiMultiMap.member?/2","type":"function"},{"doc":"Checks if bimultimap contains {key, value} pair. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, a: &quot;moo&quot;, b: &quot;bar&quot;]) iex&gt; BiMultiMap.member?(bimultimap, :a, &quot;foo&quot;) true iex&gt; BiMultiMap.member?(bimultimap, :a, &quot;moo&quot;) true iex&gt; BiMultiMap.member?(bimultimap, :a, &quot;bar&quot;) false","ref":"BiMultiMap.html#member?/3","title":"BiMultiMap.member?/3","type":"function"},{"doc":"Creates a new bimultimap. Examples iex&gt; BiMultiMap.new #BiMultiMap&lt;[]&gt;","ref":"BiMultiMap.html#new/0","title":"BiMultiMap.new/0","type":"function"},{"doc":"Creates a bimultimap from enumerable of key-value pairs. Duplicated pairs are removed; the latest one prevails. Examples iex&gt; BiMultiMap.new([a: 1, a: 2]) #BiMultiMap&lt;[a: 1, a: 2]&gt;","ref":"BiMultiMap.html#new/1","title":"BiMultiMap.new/1","type":"function"},{"doc":"Creates a bimultimap from enumerable via transform function returning key-value pairs. Examples iex&gt; BiMultiMap.new([1, 2, 1], fn x -&gt; {x, x * 2} end) #BiMultiMap&lt;[{1, 2}, {2, 4}]&gt;","ref":"BiMultiMap.html#new/2","title":"BiMultiMap.new/2","type":"function"},{"doc":"Convenience shortcut for put/3","ref":"BiMultiMap.html#put/2","title":"BiMultiMap.put/2","type":"function"},{"doc":"Inserts {key, value} pair into bimultimap. If {key, value} is already in bimultimap, it is deleted. Examples iex&gt; bimultimap = BiMultiMap.new #BiMultiMap&lt;[]&gt; iex&gt; bimultimap = BiMultiMap.put(bimultimap, :a, 1) #BiMultiMap&lt;[a: 1]&gt; iex&gt; bimultimap = BiMultiMap.put(bimultimap, :a, 2) #BiMultiMap&lt;[a: 1, a: 2]&gt; iex&gt; BiMultiMap.put(bimultimap, :b, 2) #BiMultiMap&lt;[a: 1, a: 2, b: 2]&gt;","ref":"BiMultiMap.html#put/3","title":"BiMultiMap.put/3","type":"function"},{"doc":"Returns value ➜ key mapping of bimultimap. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;, c: &quot;bar&quot;]) iex&gt; BiMultiMap.right(bimultimap) %{&quot;foo&quot; =&gt; [:a], &quot;bar&quot; =&gt; [:b, :c]}","ref":"BiMultiMap.html#right/1","title":"BiMultiMap.right/1","type":"function"},{"doc":"Returns the number of elements in bimultimap. The size of a bimultimap is the number of key-value pairs that the map contains. Examples iex&gt; BiMultiMap.size(BiMultiMap.new) 0 iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, a: &quot;bar&quot;]) iex&gt; BiMultiMap.size(bimultimap) 2","ref":"BiMultiMap.html#size/1","title":"BiMultiMap.size/1","type":"function"},{"doc":"Returns list of unique key-value pairs in bimultimap. Examples iex&gt; bimultimap = BiMultiMap.new([a: &quot;foo&quot;, b: &quot;bar&quot;]) iex&gt; BiMultiMap.to_list(bimultimap) [a: &quot;foo&quot;, b: &quot;bar&quot;]","ref":"BiMultiMap.html#to_list/1","title":"BiMultiMap.to_list/1","type":"function"},{"doc":"Returns all unique values from bimultimap. Examples iex&gt; bimultimap = BiMultiMap.new([a: 1, b: 2, c: 2]) iex&gt; BiMultiMap.values(bimultimap) [1, 2]","ref":"BiMultiMap.html#values/1","title":"BiMultiMap.values/1","type":"function"},{"doc":"Key type","ref":"BiMultiMap.html#t:k/0","title":"BiMultiMap.k/0","type":"type"},{"doc":"","ref":"BiMultiMap.html#t:t/0","title":"BiMultiMap.t/0","type":"type"},{"doc":"","ref":"BiMultiMap.html#t:t/2","title":"BiMultiMap.t/2","type":"opaque"},{"doc":"Value type","ref":"BiMultiMap.html#t:v/0","title":"BiMultiMap.v/0","type":"type"},{"doc":"BiMap Elixir implementation of bidirectional map and multimap.","ref":"readme.html","title":"BiMap","type":"extras"},{"doc":"The package can be installed by adding bimap to your list of dependencies in mix.exs: def deps do [{:bimap, &quot;~&gt; 1.1&quot;}] end","ref":"readme.html#installation","title":"BiMap - Installation","type":"extras"},{"doc":"See the LICENSE file for license rights and limitations (MIT).","ref":"readme.html#license","title":"BiMap - License","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Added BiMap.fetch!/2 and BiMap.fetch_key!/2 (by @mat-hek) BiMultiMap.fetch!/2 and BiMultiMap.fetch_keys!/2","ref":"changelog.html#1-1-0-2020-03-25","title":"Changelog - 1.1.0 - 2020-03-25","type":"extras"},{"doc":"Fixed Enumerable.slice/1 is not implemented (by @NullOranje) BiMap.put/3 leaves old mappings (by @NullOranje)","ref":"changelog.html#1-0-1-2019-06-17","title":"Changelog - 1.0.1 - 2019-06-17","type":"extras"},{"doc":"This library is pretty stable and 1.0 ready. Nothing has changed since 0.1.1.","ref":"changelog.html#1-0-0-2018-07-25","title":"Changelog - 1.0.0 - 2018-07-25","type":"extras"},{"doc":"Fixed Fixed buggy behaviour of BiMultiMap.delete/3","ref":"changelog.html#0-1-1-2017-08-17","title":"Changelog - 0.1.1 - 2017-08-17","type":"extras"},{"doc":"First version 🎉","ref":"changelog.html#0-1-0-2017-08-10","title":"Changelog - 0.1.0 - 2017-08-10","type":"extras"}]